# PetscLogEventDeactivateClass

Deactivates event logging for a PETSc object class.

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT PetscLogEventDeactivateClass(PetscCookie cookie)

Not Collective

### Input Parameter

cookie -The event class, for example MAT_COOKIE, SNES_COOKIE, etc.

### Keywords

log, event, deactivate, class

### See Also

PetscInfoActivate(),PetscInfo(),PetscInfoAllow(),PetscLogEventActivateClass(), PetscLogEventActivate(),PetscLogEventDeactivate()

Level:developer
Location:src/sys/plog/plog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages